-include Makefile.specific
DIRS := tdc fd adc

all clean cleanall modules install modules_install: $(DIRS)

clean: TARGET = clean
cleanall: TARGET = cleanall
modules: TARGET = modules
install: TARGET = install
modules_install: TARGET = modules_install

DOT-CONFIGS = $(addsuffix /.config,$(DIRS))

$(DIRS): $(DOT-CONFIGS)
	$(MAKE) -C $@ $(TARGET)

$(DOT-CONFIGS):
	$(MAKE) -C $(@D) defconfig

.PHONY: all clean cleanall modules install modules_install
.PHONY: $(DIRS)
